<!DOCTYPE html>
<html lang="en">
<head>
    
    <meta charset="utf-8">
    <title>opencv - Documentation</title>
    
    
    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc.css">
    <script src="scripts/nav.js" defer></script>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav >
    
    <input type="text" id="nav-search" placeholder="Search" />
    
    
    <h2><a href="index.html">Home</a></h2><h3>Objects</h3><ul><li><a href="EnumType.html">EnumType</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="EnumType.html#getInterpolatedValue">getInterpolatedValue</a></li></ul></li><li><a href="ListType.html">ListType</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="ListType.html#cost">cost</a></li></ul></li><li><a href="MidiType.html">MidiType</a><ul class='members'></ul></li><li><a href="ModalType.html">ModalType</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="ModalType.html#getPi">getPi</a></li><li data-type='method' style='display: none;'><a href="ModalType.html#getNu">getNu</a></li><li data-type='method' style='display: none;'><a href="ModalType.html#getTau">getTau</a></li><li data-type='method' style='display: none;'><a href="ModalType.html#getRho">getRho</a></li><li data-type='method' style='display: none;'><a href="ModalType.html#getOp">getOp</a></li></ul></li><li><a href="NumericType.html">NumericType</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="NumericType.html#getNormalized">getNormalized</a></li></ul></li><li><a href="QLearner.html">QLearner</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="QLearner.html#getParameters">getParameters</a></li><li data-type='method' style='display: none;'><a href="QLearner.html#setParameters">setParameters</a></li><li data-type='method' style='display: none;'><a href="QLearner.html#getQtable">getQtable</a></li><li data-type='method' style='display: none;'><a href="QLearner.html#doAction">doAction</a></li><li data-type='method' style='display: none;'><a href="QLearner.html#doNext">doNext</a></li><li data-type='method' style='display: none;'><a href="QLearner.html#doPath">doPath</a></li><li data-type='method' style='display: none;'><a href="QLearner.html#.newQLearner">newQLearner</a></li></ul></li><li><a href="RecordType.html">RecordType</a><ul class='members'></ul></li><li><a href="ScalarField.html">ScalarField</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="ScalarField.html#getParameters">getParameters</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#setParameters">setParameters</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#set">set</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#erase">erase</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#clear">clear</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#add">add</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#load">load</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#save">save</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#getValues">getValues</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#has">has</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#get">get</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#getValue">getValue</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#getExtrapolations">getExtrapolations</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#getBarycenter">getBarycenter</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#getDiameter">getDiameter</a></li><li data-type='method' style='display: none;'><a href="ScalarField.html#getDistance">getDistance</a></li></ul></li><li><a href="ScalarFieldEmbedding.html">ScalarFieldEmbedding</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="ScalarFieldEmbedding.html#getParameters">getParameters</a></li><li data-type='method' style='display: none;'><a href="ScalarFieldEmbedding.html#setParameters">setParameters</a></li><li data-type='method' style='display: none;'><a href="ScalarFieldEmbedding.html#getScalarField">getScalarField</a></li><li data-type='method' style='display: none;'><a href="ScalarFieldEmbedding.html#.getEmbedding">getEmbedding</a></li><li data-type='method' style='display: none;'><a href="ScalarFieldEmbedding.html#.getAtlas">getAtlas</a></li><li data-type='method' style='display: none;'><a href="ScalarFieldEmbedding.html#.asJSON">asJSON</a></li></ul></li><li><a href="SetType.html">SetType</a><ul class='members'></ul></li><li><a href="StringType.html">StringType</a><ul class='members'></ul></li><li><a href="SvgType.html">SvgType</a><ul class='members'></ul></li><li><a href="Trajectory.html">Trajectory</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="Trajectory.html#getParameters">getParameters</a></li><li data-type='method' style='display: none;'><a href="Trajectory.html#setParameters">setParameters</a></li><li data-type='method' style='display: none;'><a href="Trajectory.html#addPoint">addPoint</a></li><li data-type='method' style='display: none;'><a href="Trajectory.html#addRegion">addRegion</a></li><li data-type='method' style='display: none;'><a href="Trajectory.html#add">add</a></li><li data-type='method' style='display: none;'><a href="Trajectory.html#getNext">getNext</a></li><li data-type='method' style='display: none;'><a href="Trajectory.html#isDone">isDone</a></li><li data-type='method' style='display: none;'><a href="Trajectory.html#getPath">getPath</a></li></ul></li><li><a href="Type.html">Type</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="Type.html#getValue">getValue</a></li><li data-type='method' style='display: none;'><a href="Type.html#getParameters">getParameters</a></li><li data-type='method' style='display: none;'><a href="Type.html#getValue">getValue</a></li><li data-type='method' style='display: none;'><a href="Type.html#getCheckMessage">getCheckMessage</a></li><li data-type='method' style='display: none;'><a href="Type.html#getDistance">getDistance</a></li><li data-type='method' style='display: none;'><a href="Type.html#getPath">getPath</a></li><li data-type='method' style='display: none;'><a href="Type.html#compare">compare</a></li><li data-type='method' style='display: none;'><a href="Type.html#getBound">getBound</a></li><li data-type='method' style='display: none;'><a href="Type.html#getBounds">getBounds</a></li><li data-type='method' style='display: none;'><a href="Type.html#.getType">getType</a></li><li data-type='method' style='display: none;'><a href="Type.html#.getTypeNames">getTypeNames</a></li><li data-type='method' style='display: none;'><a href="Type.html#.getTypeParameters">getTypeParameters</a></li><li data-type='method' style='display: none;'><a href="Type.html#.addType">addType</a></li></ul></li><li><a href="opencv.html">opencv</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="opencv.html#.matRandomOrthogonal">matRandomOrthogonal</a></li></ul></li></ul><h3>Global</h3><ul><li><a href="global.html#json2midi">json2midi</a></li><li><a href="global.html#json2svg">json2svg</a></li><li><a href="global.html#midi2Jon">midi2Jon</a></li><li><a href="global.html#svg2json">svg2json</a></li></ul>
    
</nav>

<div id="main">
    
    <h1 class="page-title">opencv</h1>
    

    




<section>

<header>
    
        <h2>
        
            opencv
        
        </h2>
        
    
</header>

<article>
    
        <div class="container-overview">
        
            

    

    <h4 class="name" id="opencv"><span class="type-signature"></span>factory opencv<span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Specifies the opencv wrapping functions for linear and nonlinear solvers.</p>
<ul>
<li>These functions are accessible via the <code>symboling::</code> prefix.</li>
<li>The basic object is a <code>Matrix</code> (including 1D vectors and co-vectors) of double 2D arrays, e.g.:</li>
</ul>
<pre class="prettyprint source"><code>cv::Mat mat = cv::Mat(rows, cols, CV_64FC1, cv::Scalar(0));
// Element access writes:
double v = mat.at&lt;double>(row_num, col_num)
// Submatrix extraction writes:
cv:Mat submat = mat(cv:Rect(col_num, row_num, col_count, row_count));
</code></pre></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






























        
        </div>
    

    

    

    
    
    

     

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    <h4 class="name" id=".matRandomOrthogonal"><span class="type-signature type-signature-static">(static) </span>matRandomOrthogonal<span class="signature">(rows, cols)</span><span class="type-signature"> &rarr; {Matrix}</span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Returns a random orthonormal matrix.</p>
<ul>
<li>The rectangular matrix is made of <code>cols</code> unary orthogonal vectors of dimension <code>rows</code></li>
</ul></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>rows</code></td>
            

            <td class="type">
            
                
<span class="param-type">uint</span>



            
            </td>

            

            

            <td class="description last"><p>The dimension of the random vectors.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>cols</code></td>
            

            <td class="type">
            
                
<span class="param-type">uint</span>



            
            </td>

            

            

            <td class="description last"><p>The number of vectors, default is equal to <code>rows</code>.</p></td>
        </tr>

    
    </tbody>
</table>
















<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>A random orthonormal matrix.</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">Matrix</span>



    </dd>
</dl>

    



        
    

    

    
</article>

</section>




    
    
</div>

<br class="clear">

<footer>
    <div style='float: right;font-style: italic;'>2023-11-05 version.</div>
</footer>

<script>prettyPrint();</script>
<script src="scripts/polyfill.js"></script>
<script src="scripts/linenumber.js"></script>

<script src="scripts/search.js" defer></script>


<script src="scripts/collapse.js" defer></script>


</body>
</html>